Skip to content

getUserSelectGroups

READ

Get user select groups.

POST /api/v1/users/getUserSelectGroups
curl -X POST '<your-host>/api/v1/users/getUserSelectGroups' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "limit": 0,
    "offset": 0
  }'
Response
{
  "results": [
    {
      "groupCount": 0,
      "id": "string",
      "isCustomerOrgGroup": true,
      "isCustomerTypeGroup": true,
      "isEmployeeTypeGroup": true,
      "isRoot": true,
      "isSupplierOrgGroup": true,
      "isSupplierTypeGroup": true,
      "name": "string",
      "userCount": 0
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "type": {
      "type": "string"
    },
    "search": {
      "type": "string"
    },
    "limit": {
      "type": "number"
    },
    "offset": {
      "type": "number"
    }
  },
  "required": [
    "limit",
    "offset"
  ]
}